openSUSE Security Update : encfs (openSUSE-SU-2010:1028-1)

Medium Nessus Plugin ID 53711


The remote openSUSE host is missing a security update.


This update of encfs fixes :

- CVE-2010-3073: CVSS v2 Base Score: 1.9 (AV:L/AC:M/Au:N/C:P/I:N/A:N): Cryptographic Issues (CWE-310): encfs Only 32 bit of file IV used

- CVE-2010-3074: CVSS v2 Base Score: 1.9 (AV:L/AC:M/Au:N/C:P/I:N/A:N): Cryptographic Issues (CWE-310): encfs Watermarking attack

The patch for CVE-2010-3075 (Last block with single byte is insecure) was not applied because upstream disabled it by default, expect for expert mode.


Update the affected encfs package.

See Also

Plugin Details

Severity: Medium

ID: 53711

File Name: suse_11_2_encfs-101206.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2011/05/05

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:encfs, cpe:/o:novell:opensuse:11.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2010/12/06

Reference Information

CVE: CVE-2010-3073, CVE-2010-3074, CVE-2010-3075